package Opsview::Schema::Icons;

use strict;
use warnings;

use base qw(Opsview::DBIx::Class Opsview::Base::Icon);

__PACKAGE__->load_components( "+Opsview::DBIx::Class::Common", "Core" );
__PACKAGE__->table("opsview.icons");
__PACKAGE__->add_columns( "name", { data_type => "VARCHAR", default_value => "", is_nullable => 0, size => 128 }, "filename", { data_type => "VARCHAR", default_value => "", is_nullable => 0, size => 128 }, );
__PACKAGE__->set_primary_key("name");
__PACKAGE__->has_many( "hosts", "Opsview::Schema::Hosts", { "foreign.icon" => "self.name" }, );

# Created by DBIx::Class::Schema::Loader v0.04005 @ 2008-09-17 13:24:37
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:hiqV57Q2YTHnAGDSZcFokw
#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

# No type => no ref required
sub my_type_is { }

sub path {
    my $self = shift;
    "/images/logos/" . $self->filename . "_small.png";
}

1;
