#
#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

package Reports;
use strict;
use lib "/usr/local/nagios/perl/lib";
use ClassDBIExtras;
use base "Exporter", 'ClassDBIExtras', "Opsview::Base";
use Opsview::Config;

my $db_options = { RaiseError => 1, AutoCommit => 1 };

__PACKAGE__->connection( Opsview::Config->reports_dbi . ":database=" . Opsview::Config->reports_db . ";host=" . Opsview::Config->reports_dbhost, Opsview::Config->reports_dbuser, Opsview::Config->reports_dbpasswd, $db_options, { on_connect_do => "SET time_zone='+00:00'" }, );

=head1 NAME

Reports - Configuration database for report generation

=head1 SYNOPSIS

Database holds all the necessary data to generate java reports from ODW

=head1 METHODS

=over 4

=back

=head1 AUTHOR

Opsera Limited

=head1 LICENSE

GNU General Public License v2

=cut

1;
